html, body {
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    margin: 0px;
    height: 100vh;
    background-color: rgb(30, 30, 30);
}

.toper {
    height: 40px;
    background-color: rgb(45, 45, 45);
    padding: 10px;
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.toper-button {
    height: 20px;
    aspect-ratio: 3 / 1;
    background-color: rgb(60, 60, 60);
    border-radius: 20px;
    padding: 10px;
    text-decoration: none;
    text-align: center;
    color: white;

}

.search {
    height: 20px;
    background-color: rgb(60, 60, 60);
    border-radius: 20px;
    padding: 10px 10px 10px 20px;
    border: none;
    color: white;
    outline: none;
}

.video-list {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
    padding: 20px;
}

.video-card {
    display: flex;
    flex-direction: column;
    border-radius: 30px;
    width: 100%;
    cursor: pointer;
    text-decoration: none;
    color: rgb(255, 255, 255);
    transition: 0.5s;
}

.video-card:hover {
    background-color: rgb(45, 45, 45);
}

.video-card img {
    margin: 20px 20px 0px 20px;
    height: auto;
    border-radius: 10px;
    aspect-ratio: 16 / 9;
    object-fit: contain;
    background-color: black;
}

.video-card h3 {
    margin: 10px 20px 20px 20px;
}

video {
    height: calc(100% - 150px);
    width: 100%;
    background-color: black;
    outline: none;
}

.video-name {
    margin: 20px;
    padding-left: 50px;
    color: white;
}